package com.tmerclub.cloud.biz.constant;

/**
 * 消息设置提醒 1开启提醒  0关闭提醒
 * @author lanhai
 */
public enum RemindType {
    /**
     * 开启提醒
     */
    OPEN(1),

    /**
     * 关闭提醒
     */
    CLOSED(0);

    private final Integer num;

    public Integer value() {
        return num;
    }

    RemindType(Integer num) {
        this.num = num;
    }

    public static RemindType instance(Integer value) {
        RemindType[] enums = values();
        for (RemindType statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
